<ion-content [fullscreen]="true">

  <body>
    <div id="posicionamento">
      <h1 style="color:rgb(255, 255, 255);"> Lista de Compra</h1>
      <ion-grid>
        <ion-row>
          <ion-col size="5">
            <ion-item>
              <ion-input placeholder="Prod." [(ngModel)]="texto" (keyup.enter)="adiciona()"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="5">
            <ion-item>
              <ion-input placeholder="5" [(ngModel)]="preco" (keyup.enter)="adiciona()"></ion-input>
            </ion-item>
          </ion-col>
          <ion-col size="2">
            <ion-button color="primary" size="small" (click)="adiciona()">
              <ion-icon name="save-outline"></ion-icon>
            </ion-button>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-item *ngFor="let elemento_da_lista of variavel_lista">
              <ion-grid>
                <ion-row>
                  <ion-col size="8">
                    {{elemento_da_lista[1][0]}}
                    <!--Exibir nome do item da lista-->
                    {{elemento_da_lista[1][1]}}
                    <!--Exi8r o preco do item da lista-->
                  </ion-col>
                  <ion-col size="4">
                    <ion-button color="danger" size="small" (click)="remove(elemento_da_lista[0][0])">
                      <ion-icon name="trash-outline"></ion-icon>
                    </ion-button>
                  </ion-col>
                </ion-row>
              </ion-grid>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </body>
</ion-content>
